/*
flex -o main.flex.cpp --header-file=main.flex.h main.flex
g++ -Wall -Wextra -Wno-unused-function -Ofast -std=c++14 -pedantic -c main.flex.cpp -o main.flex.o
g++ -Wall -Wextra -Wconversion -Wsign-conversion -Ofast -std=c++14 -pedantic -fopenmp main.cpp main.flex.o -o main -lfl && ./main main.txt

rm main.flex.cpp main.flex.h main.flex.o main
*/

#include <iostream>
#include <cstdio>
#include <cstddef>

#include "main.flex.h"

extern size_t nb_line;
extern size_t nb_char;


int main(int argc, char * * argv)
{
	if (argc <= 1)
	{
		std::cerr << "Usage: " << argv[0] << " <input_file>" << std::endl;
		return 1;
	}
	
	{
		FILE * f = fopen(argv[1], "r");
		if (f == nullptr)
		{
			std::cerr << "File " << argv[1] << " does not exist" << std::endl;
			return 1;
		}
		yyin = f;
	}
	
	yylex();
	
	std::cout << "Number of lines      = " << nb_line << std::endl;
	std::cout << "Number of characters = " << nb_char << std::endl;
	
	return 0;
}
